Skip Menu |
 
rt.cpan.org will be shut down on March 1st, 2021.

This queue is for tickets about the psh CPAN distribution.

Report information
The Basics
Id: 53253
Status: open
Priority: 0/
Queue: psh

People
Owner: Nobody in particular
Requestors: jquelin [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: current version 1.8.1 not seen as newer by cpanplus
current psh version is 1.8.1
previous version is 1.8, which is understood as 1.800 by cpanplus

since 1.800 > 1.8.1, cpanplus wants to downgrade to 1.8

to fix this, you have to issue a version 1.9, or 1.800.1... or 2.x
in any case, don't change your versioning scheme (from x.yz to x.y.z) without bumping major version.

note: removing previous tarball for psh 1.8 might remove the problem, since in that case they would not be present in the index. but it's not certain.
Download (untitled) / with headers
text/plain 329b
FWIW, removing 1.8 has a drawback. All users who have 1.8 installed would never recognize 1.8.1 as newer, no matter that the PAUSE indexer would start to propagate in in the index. Because they all go by the rules of version numbering in perl. BTW, the indexer would only start recognizing 1.8.1 if a reindex command were issued.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.